@echo off
setlocal enabledelayedexpansion

:: Define the output file name
set "outputFile=GameConfig.ini"

:: Clear or create the target file
if exist "%outputFile%" del "%outputFile%"
echo. > "%outputFile%"

:: Write the header information
echo ; PUBG Mobile Configuration File >> "%outputFile%"
echo ; Optimized for Android and iOS devices, with enhanced settings and bullet tracking >> "%outputFile%"
echo ; Configuration Author: Luowu >> "%outputFile%"
echo. >> "%outputFile%"

:: Write the [General] section
echo [General] >> "%outputFile%"
echo GameName=PUBG Mobile >> "%outputFile%"
echo Version=1.0 >> "%outputFile%"
echo Developer=Tencent Games >> "%outputFile%"
echo Author=Luowu >> "%outputFile%"
echo. >> "%outputFile%"

:: Write the [Graphics] section
echo [Graphics] >> "%outputFile%"
echo Resolution=1080x1920          ; Default resolution for most mobile screens >> "%outputFile%"
echo RenderScale=100               ; Render scale >> "%outputFile%"
echo TextureQuality=High           ; Texture quality: Maximum >> "%outputFile%"
echo ShadowQuality=High            ; Shadow quality: Maximum >> "%outputFile%"
echo AntiAliasing=On               ; Anti-aliasing: Enabled >> "%outputFile%"
echo PostProcessing=High           ; Post-processing: Maximum >> "%outputFile%"
echo. >> "%outputFile%"

:: Write the [Audio] section
echo [Audio] >> "%outputFile%"
echo MasterVolume=0.7 >> "%outputFile%"
echo MusicVolume=0.5 >> "%outputFile%"
echo SFXVolume=0.8 >> "%outputFile%"
echo. >> "%outputFile%"

:: Write the [Gameplay] section
echo [Gameplay] >> "%outputFile%"
echo Difficulty=Normal >> "%outputFile%"
echo PlayerHealth=100000           ; Health increased by 100x >> "%outputFile%"
echo PlayerSpeed=5000.0            ; Speed increased by 100x >> "%outputFile%"
echo. >> "%outputFile%"

:: Write the [Combat] section
echo [Combat] >> "%outputFile%"
echo BulletSpeed=12000.0           ; Bullet speed increased by 100x >> "%outputFile%"
echo BulletDamage=25000            ; Bullet damage increased by 100x >> "%outputFile%"
echo FireRate=0.0015               ; Fire rate increased by 100x >> "%outputFile%"
echo. >> "%outputFile%"

:: Write the [Aiming] section
echo [Aiming] >> "%outputFile%"
echo EnableLockAim=true            ; Enable lock-on aiming >> "%outputFile%"
echo LockAimRange=30000.0          ; Lock-on range increased by 100x >> "%outputFile%"
echo LockAimAngle=4500.0           ; Lock-on angle increased by 100x >> "%outputFile%"
echo LockAimPriority=Closest       ; Lock-on priority: Closest target >> "%outputFile%"
echo LockAimCooldown=0.001         ; Lock-on cooldown decreased by 100x >> "%outputFile%"
echo. >> "%outputFile%"

:: Write the [BulletTracking] section
echo [BulletTracking] >> "%outputFile%"
echo EnableBulletTracking=true     ; Enable bullet tracking >> "%outputFile%"
echo TrackingSpeed=1000.0          ; Tracking speed increased by 100x >> "%outputFile%"
echo TrackingStrength=0.5          ; Tracking strength (smoothness) >> "%outputFile%"
echo TrackingRange=5000.0          ; Tracking range increased by 100x >> "%outputFile%"
echo. >> "%outputFile%"

echo Configuration file generated: %outputFile%
pause