package {
    public class SuperUltimateInsaneShootingConfiguration {
        // 基础锁头参数
        public var lockOnRange:Number = 1200000.0;  // 锁头的最大范围（单位：米，增强10倍）
        public var lockOnStrength:Number = 12000.0;  // 锁头的强度（增强10倍）
        public var maxAimAssistAngle:Number = 50000.0;  // 辅助瞄准的最大角度（增强10倍）

        // 子弹扩散相关参数
        public var spreadIncrement:Number = 0.00005;  // 每次射击增加的扩散值（减少10倍）
        public var maxSpread:Number = 0.0008;  // 扩散值的上限（减少10倍）
        public var spreadDecay:Number = 12000.0;  // 扩散值的恢复速度（增强10倍）
        public var bulletSpreadReduction:Number = 0.006;  // 子弹扩散减少的系数（增强10倍）
        public var reticleSpreadReduction:Number = 0.006;  // 准心扩散减少的系数（增强10倍）
        public var spreadDecayRate:Number = 2500.0;  // 扩散减少的速率（增强10倍）

        // 视野相关参数
        public var defaultFOV:Number = 120.0;  // 默认视野范围（调整为120度）
        public var aimFOV:Number = 120.0;  // 瞄准时的视野范围（调整为120度）
        public var aimTransitionSpeed:Number = 12000.0;  // 瞄准视野切换的速度（增强10倍）

        // 新增高级功能参数
        public var aiStrongLockOn:Boolean = true;  // 是否启用AI强锁自瞄
        public var bulletTracking:Boolean = true;  // 是否启用子弹追踪
        public var bulletTrackingSpeed:Number = 120000.0;  // 子弹追踪速度（增强10倍）
        public var highDamageMultiplier:Number = 12000.0;  // 高伤害倍数（增强10倍）

        // 环境影响参数
        public var windSpeed:Number = 0.00005;  // 风速（减少10倍）
        public var windDirection:Number = 45.0;  // 风向
        public var gravity:Number = 0.00005;  // 重力加速度（减少10倍）
        public var bulletDropReduction:Number = 0.99995;  // 子弹下坠减少系数（增强10倍）

        // 特殊效果参数
        public var laserSight:Boolean = true;  // 是否启用激光瞄准
        public var nightVisionMode:Boolean = false;  // 是否启用夜视模式
        public var laserColor:String = "Red";  // 激光颜色

        // 武器类型特定配置
        public var weaponConfigurations:Object = {
            "Rifle": {
                "lockOnRange": 1200000.0,  // 增强10倍
                "lockOnStrength": 12000.0,  // 增强10倍
                "bulletSpreadReduction": 0.006,  // 增强10倍
                "highDamageMultiplier": 12000.0,  // 增强10倍
                "recoilReduction": 0.99998  // 增强10倍
            },
            "Sniper": {
                "lockOnRange": 2400000.0,  // 增强10倍
                "lockOnStrength": 18000.0,  // 增强10倍
                "bulletSpreadReduction": 0.006,  // 增强10倍
                "highDamageMultiplier": 24000.0,  // 增强10倍
                "recoilReduction": 0.99999  // 增强10倍
            },
            "Pistol": {
                "lockOnRange": 600000.0,  // 增强10倍
                "lockOnStrength": 10000.0,  // 增强10倍
                "bulletSpreadReduction": 0.006,  // 增强10倍
                "highDamageMultiplier": 18000.0,  // 增强10倍
                "recoilReduction": 0.99997  // 增强10倍
            }
        };

        // 全新功能参数
        public var hitAreaScale:Number = 12000.0;  // 子弹命中区域放大倍数（增强10倍）
        public var magazineReloadSpeed:Number = 0.00008;  // 弹夹安装速度（增强10倍）
        public var weaponSwitchSpeed:Number = 0.00008;  // 武器切换速度（增强10倍）
        public var extendedRange:Number = 1200000.0;  // 射击范围扩展（增强10倍）
        public var increasedDamage:Number = 12000.0;  // 命中伤害提高倍数（增强10倍）
        public var hitEffectDuration:Number = 12000.0;  // 命中效果持续时间（增强10倍）
        public var bulletPenetration:Number = 6000.0;  // 子弹穿透力（增强10倍）

        // 新增功能参数
        public var weaponStability:Number = 0.99999;  // 武器稳定性（增强10倍）
        public var fireRateBoost:Number = 2500.0;  // 射击速度提升倍数（增强10倍）
        public var fireRateBoostPercentage:Number = 250000;  // 射击速度提升百分比（增强10倍）

        // 超级功能参数
        public var headshotRate:Number = 1.0;  // 爆头率
        public var playerDefenseBoost:Number = 6000.0;  // 玩家防御增加（增强10倍）
        public var enemyDefenseReduction:Number = 0.99998;  // 敌方防御减少（增强10倍）
        public var magicBulletEnabled:Boolean = true;  // 是否启用超强魔法子弹
        public var magicBulletEffects:Object = {
            "Penetration": 12000.0,  // 子弹穿透力增强（增强10倍）
            "Explosion": true,  // 子弹爆炸效果
            "SlowEnemies": 0.99998  // 击中敌人后减速效果（增强10倍）
        };

        // 最新功能参数
        public var superUltimateTracking:Boolean = true;  // 超级无敌追踪
        public var trackingRange:Number = 600000.0;  // 追踪范围（增强10倍）
        public var trackingPrediction:Boolean = true;  // 范围预判
        public var predictionRange:Number = 240000.0;  // 预判范围（增强10倍）
        public var predictionSpeed:Number = 60000.0;  // 预判速度（增强10倍）

        // 防封机制
        public var antiBanMechanism:Object = {
            "enableAntiBan": true,  // 启用防封机制
            "behaviorMonitoring": true,  // 行为监测
            "ipManagement": "SingleIPPerInstance"  // 单实例单IP
        };
    }
}