SuperUltimateInsaneShootingConfiguration = {
    # 基础锁头参数
    "LockOnRange": 1200000.0,  # 锁头的最大范围（单位：米，增强10倍）
    "LockOnStrength": 12000.0,  # 锁头的强度（增强10倍）
    "MaxAimAssistAngle": 50000.0,  # 辅助瞄准的最大角度（增强10倍）

    # 子弹扩散相关参数
    "SpreadIncrement": 0.00005,  # 每次射击增加的扩散值（减少10倍）
    "MaxSpread": 0.0008,  # 扩散值的上限（减少10倍）
    "SpreadDecay": 12000.0,  # 扩散值的恢复速度（增强10倍）
    "BulletSpreadReduction": 0.006,  # 子弹扩散减少的系数（增强10倍）
    "ReticleSpreadReduction": 0.006,  # 准心扩散减少的系数（增强10倍）
    "SpreadDecayRate": 2500.0,  # 扩散减少的速率（增强10倍）

    # 视野相关参数
    "DefaultFOV": 120.0,  # 默认视野范围（调整为120度）
    "AimFOV": 120.0,  # 瞄准时的视野范围（调整为120度）
    "AimTransitionSpeed": 12000.0,  # 瞄准视野切换的速度（增强10倍）

    # 新增高级功能参数
    "AIStrongLockOn": True,  # 是否启用AI强锁自瞄
    "BulletTracking": True,  # 是否启用子弹追踪
    "BulletTrackingSpeed": 120000.0,  # 子弹追踪速度（增强10倍）
    "HighDamageMultiplier": 12000.0,  # 高伤害倍数（增强10倍）

    # 环境影响参数
    "WindSpeed": 0.00005,  # 风速（减少10倍）
    "WindDirection": 45.0,  # 风向
    "Gravity": 0.00005,  # 重力加速度（减少10倍）
    "BulletDropReduction": 0.99995,  # 子弹下坠减少系数（增强10倍）

    # 特殊效果参数
    "LaserSight": True,  # 是否启用激光瞄准
    "NightVisionMode": False,  # 是否启用夜视模式
    "LaserColor": "Red",  # 激光颜色

    # 武器类型特定配置
    "WeaponConfigurations": {
        "Rifle": {
            "LockOnRange": 1200000.0,  # 增强10倍
            "LockOnStrength": 12000.0,  # 增强10倍
            "BulletSpreadReduction": 0.006,  # 增强10倍
            "HighDamageMultiplier": 12000.0,  # 增强10倍
            "RecoilReduction": 0.99998,  # 增强10倍
        },
        "Sniper": {
            "LockOnRange": 2400000.0,  # 增强10倍
            "LockOnStrength": 18000.0,  # 增强10倍
            "BulletSpreadReduction": 0.006,  # 增强10倍
            "HighDamageMultiplier": 24000.0,  # 增强10倍
            "RecoilReduction": 0.99999,  # 增强10倍
        },
        "Pistol": {
            "LockOnRange": 600000.0,  # 增强10倍
            "LockOnStrength": 10000.0,  # 增强10倍
            "BulletSpreadReduction": 0.006,  # 增强10倍
            "HighDamageMultiplier": 18000.0,  # 增强10倍
            "RecoilReduction": 0.99997,  # 增强10倍
        }
    },

    # 全新功能参数
    "HitAreaScale": 12000.0,  # 子弹命中区域放大倍数（增强10倍）
    "MagazineReloadSpeed": 0.00008,  # 弹夹安装速度（增强10倍）
    "WeaponSwitchSpeed": 0.00008,  # 武器切换速度（增强10倍）
    "ExtendedRange": 1200000.0,  # 射击范围扩展（增强10倍）
    "IncreasedDamage": 12000.0,  # 命中伤害提高倍数（增强10倍）
    "HitEffectDuration": 12000.0,  # 命中效果持续时间（增强10倍）
    "BulletPenetration": 6000.0,  # 子弹穿透力（增强10倍）

    # 新增功能参数
    "WeaponStability": 0.99999,  # 武器稳定性（增强10倍）
    "FireRateBoost": 2500.0,  # 射击速度提升倍数（增强10倍）
    "FireRateBoostPercentage": 250000,  # 射击速度提升百分比（增强10倍）

    # 超级功能参数
    "HeadshotRate": 1.0,  # 爆头率
    "PlayerDefenseBoost": 6000.0,  # 玩家防御增加（增强10倍）
    "EnemyDefenseReduction": 0.99998,  # 敌方防御减少（增强10倍）
    "MagicBulletEnabled": True,  # 是否启用超强魔法子弹
    "MagicBulletEffects": {
        "Penetration": 12000.0,  # 子弹穿透力增强（增强10倍）
        "Explosion": True,  # 子弹爆炸效果
        "SlowEnemies": 0.99998,  # 击中敌人后减速效果（增强10倍）
    },

    # 最新功能参数
    "SuperUltimateTracking": True,  # 超级无敌追踪
    "TrackingRange": 600000.0,  # 追踪范围（增强10倍）
    "TrackingPrediction": True,  # 范围预判
    "PredictionRange": 240000.0,  # 预判范围（增强10倍）
    "PredictionSpeed": 60000.0,  # 预判速度（增强10倍）

    # 防封机制
    "AntiBanMechanism": {
        "EnableAntiBan": True,  # 启用防封机制
        "BehaviorMonitoring": True,  # 行为监测
        "IPManagement": "SingleIPPerInstance",  # 单实例单IP
    }
}