// Top-level build file where you can add configuration options common to all sub-projects/modules.

buildscript {
    // 定义插件管理仓库
    repositories {
        google() // 添加 Google Maven 仓库
        mavenCentral() // 添加 Maven Central 仓库
        jcenter() // 保留 jcenter，但建议优先使用其他仓库
    }
    dependencies {
        // 使用最新版本的 Android Gradle 插件
        classpath 'com.android.tools.build:gradle:8.0.2' // 根据需要更新版本

        // 添加 Kotlin 插件依赖
        classpath 'org.jetbrains.kotlin:kotlin-gradle-plugin:1.9.10' // 根据需要更新版本

        // 添加其他可能需要的插件
        // classpath 'com.google.gms:google-services:4.3.15' // 用于 Google Play 服务支持
        // classpath 'com.github.dcendents:android-maven-gradle-plugin:2.1' // 用于 Maven 发布支持

        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}

// 全局插件管理
plugins {
    id 'com.android.application' version '8.0.2' apply false // 定义 Android 应用插件版本
    id 'com.android.library' version '8.0.2' apply false // 定义 Android 库插件版本
    id 'org.jetbrains.kotlin.android' version '1.9.10' apply false // 定义 Kotlin 插件版本
}

allprojects {
    // 定义所有项目的仓库
    repositories {
        google() // 添加 Google Maven 仓库
        mavenCentral() // 添加 Maven Central 仓库
        jcenter() // 保留 jcenter，但建议优先使用其他仓库
        maven { url 'https://jitpack.io' } // 添加 JitPack 仓库，用于第三方库
    }
}

// 定义任务别名
task clean(type: Delete) {
    delete rootProject.buildDir
}